List gift card payees
Base URL https://dev-api.finco.lat · operationId listGiftcardPayees
Returns the payees available to the authenticated client. Gift cards are the payees whose category is Giftcard (their type is EGift), so to obtain the available gift cards call this endpoint with category=Giftcard.
Each returned payee's payee_id is the id you use to purchase a gift card via POST /api/v1/gift_cards.
This is the same payees endpoint exposed by the Billpay API (see the List Payees endpoint); it is documented here for convenience since it is the way to discover gift cards.
Caching: Gift card products are not updated very often, so the catalog returned by this endpoint when filtered by category=Giftcard should be cached by your application server for at least 7 days to avoid unnecessary requests.
Authorization
Query parameters
category string Exact match on the payee category. Use Giftcard to list the available gift cards.
page integer Page number (starts at 1).
name string Case-insensitive partial match on the payee display name.
Responses
200 Gift card payees retrieved successfully. application/json
meta object requiredPagination metadata.
current_page meta.current_page integer next_page meta.next_page integer | null prev_page meta.prev_page integer | null total_pages meta.total_pages integer total_count meta.total_count integer payees array of GiftcardPayee requiredpayee_id payees[].payee_id string (uuid) The id you use to purchase a gift card.
name payees[].name string category payees[].category string type payees[].type string currency payees[].currency string reference_config payees[].reference_config object regex payees[].reference_config.regex string | null images payees[].images object Product images by size.
small payees[].images.small object id payees[].images.small.id string url payees[].images.small.url string (uri) large payees[].images.large object id payees[].images.large.id string url payees[].images.large.url string (uri) redemption_info payees[].redemption_info string price payees[].price string Gift card value amount.
401 Missing or invalid Bearer token. application/json
error_type string requiredMachine-readable error code.
error_message string requiredHuman-readable message (localized).
Request
curl -X GET "https://dev-api.finco.lat/api/v1/payees" \
-H "Authorization: Bearer $TOKEN"const res = await fetch("https://dev-api.finco.lat/api/v1/payees", {
method: "GET",
headers: {
"Authorization": `Bearer ${TOKEN}`,
},
});
const data = await res.json();import requests
res = requests.get(
"https://dev-api.finco.lat/api/v1/payees",
headers={
"Authorization": f"Bearer {TOKEN}",
},
)
data = res.json()Response
{
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 1
},
"payees": [
{
"payee_id": "1a079e9a-2bee-46e0-a993-32b714cf0c09",
"name": "Amazon eGift - MEX",
"category": "Giftcard",
"type": "EGift",
"currency": "MXN",
"reference_config": {
"regex": null
},
"images": {
"small": {
"id": "MEDIUM",
"url": "https://content.monato.com/giftcards/medium/amazon.png"
},
"large": {
"id": "EXTRA_LARGE",
"url": "https://content.monato.com/giftcards/xlarge/amazon.png"
}
},
"redemption_info": "",
"price": "5.0"
}
]
}{
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 0,
"total_count": 0
},
"payees": []
}{
"error_type": "PAYEE_SERVICE_UNAVAILABLE",
"error_message": "Payee service is not available at this time, retry in 5 minutes"
}